--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Dataset class for H2 datasets accessed via JDBC.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: SELECT_CLAUSE_METHODS
  value: clause_methods(:select, %w'distinct columns from join where group having compounds order limit')
full_name: Sequel::JDBC::H2::Dataset
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: complex_expression_sql
- !ruby/object:RI::MethodSummary 
  name: requires_sql_standard_datetimes?
- !ruby/object:RI::MethodSummary 
  name: supports_is_true?
- !ruby/object:RI::MethodSummary 
  name: supports_join_using?
name: Dataset
superclass: JDBC::Dataset
